| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::ConcreteNode Struct Reference
Core » General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ConcreteNode:
[legend]

## Public Attributes
ConcreteNodeList | children
String | file
unsigned int | line
ConcreteNode * | parent
String | token
ConcreteNodeType | type

## Member Data Documentation

## ◆ token

String Ogre::ConcreteNode::token

## ◆ file

String Ogre::ConcreteNode::file

## ◆ line

unsigned int Ogre::ConcreteNode::line

## ◆ type

ConcreteNodeType Ogre::ConcreteNode::type

## ◆ children

ConcreteNodeList Ogre::ConcreteNode::children

## ◆ parent

ConcreteNode* Ogre::ConcreteNode::parent

The documentation for this struct was generated from the following file:

- OgreScriptCompiler.h